﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGDesignTimeExpansionCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Label = "Label " + i.ToString(),
                    Number = r.Next(100)
                });                
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number { get; set; }

        public ObservableCollection<ChildData> Children { get; set; }

        public SampleData()
        {
            Children = new ObservableCollection<ChildData>();

            for (int i = 0; i < 2; i++)
            {
                Children.Add(new ChildData()
                {
                    ChildID= i+1,
                    ChildLabel = "ChildLabel " + i.ToString()
                });
            }
        }
    }

    public class ChildData
    {
        public int ChildID { get; set; }
        public string ChildLabel { get; set; }
    }
}
